POST Api/ApiClient
URI Example
POST Api/ApiClient
URI Parameters
None.
Body Parameters
ApiClientBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | string |
Required Max length: 36 |
|
| ApplicationType | ApiClientTypes |
Required |
|
| Name | string |
Required Max length: 255 |
|
| ClientSecret | string |
Required Max length: 255 |
|
| AllowedOrigin | string |
Required Max length: 255 |
|
| TokenSignatureSecret | string |
Required Max length: 255 |
|
| RefreshTokenExpireMinutes | integer |
Required |
|
| IsInactive | boolean |
Required |
Request Formats
application/json, text/json, application/hal+json
-
{ "id": "sample string 1", "applicationType": 0, "name": "sample string 2", "clientSecret": "sample string 3", "allowedOrigin": "sample string 4", "tokenSignatureSecret": "sample string 5", "refreshTokenExpireMinutes": 6, "isInactive": true }
Resource Description
ApiClientResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | string |
None. |
|
| ApplicationType | ApiClientTypes |
None. |
|
| Name | string |
None. |
|
| ClientSecret | string |
None. |
|
| AllowedOrigin | string |
None. |
|
| TokenSignatureSecret | string |
None. |
|
| RefreshTokenExpireMinutes | integer |
None. |
|
| IsInactive | boolean |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": "sample string 1", "applicationType": 0, "name": "sample string 2", "clientSecret": "sample string 3", "allowedOrigin": "sample string 4", "tokenSignatureSecret": "sample string 5", "refreshTokenExpireMinutes": 6, "isInactive": true, "_embedded": { "sample string 1": {}, "sample string 3": {} } }